Name: glob2
Version: 0.9.3
Release: alt0.M41.1

Summary: Globulation 2 is a Real-Time Strategy (RTS) game which reduces micro-management by automatically assigning tasks to units
License: GPL
Group: Games/Strategy

Url: http://globulation2.org
Source: %name-%version.tar.gz
Source1: %name-icons.tar.bz2
Source2: %name.desktop
Packager: Eugene A. Suchkov <cityhawk@altlinux.ru>

Requires: glob2-data

# Automatically added by buildreq on Mon Oct 06 2008
BuildRequires: boost-datetime-devel boost-thread-devel cvs flex gcc-c++ ghostscript-utils libSDL-devel libSDL_image-devel libSDL_net-devel libSDL_ttf-devel libfribidi-devel libmesa-devel libspeex-devel libvorbis-devel rcs scons tetex-latex zlib-devel

%description
The player chooses the number of units to assign to various tasks, and the units do their best to satisfy the requests. This allows the user to manage more units and focus on strategy rather than individual units' jobs. It can be played by a single player, through your Local Area Network [LAN], or over the Internet thanks to Ysagoon Online Gaming (pronounced yog as in yoghurt) - a meta-server allowing transparent interaction between players and the IRC chatters on #glob2 (irc.freenode.net). It features AI allowing single-player games or any possible combination of human-computer teams. Also included is a scripting language for versatile gameplay or tutorials and an integrated map editor.

%package data
Summary: Data files for %name
Group: Games/Strategy

%description data
Data files for %name

%prep
%setup
%setup -a 1 -n %name-%version

%build
scons BINDIR="%buildroot%_bindir" INSTALLDIR="%buildroot%_datadir"

%install
scons install

mkdir -p %buildroot%_iconsdir
cp -r %name-icons/* %buildroot%_iconsdir

mkdir -p %buildroot%_desktopdir
install -m644 %SOURCE2 %buildroot%_desktopdir/

rm -rf %buildroot%_pixmapsdir

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING INSTALL README
%_bindir/%name
%_iconsdir/hicolor/*/apps/*.png
%_desktopdir/*.desktop

%files data
%_datadir/%name

%changelog
* Thu Oct 09 2008 Michael Shigorin <mike@altlinux.org> 0.9.3-alt0.M41.1
- built for M41 (way more relaxing than 0.8.x)

* Sun Oct 05 2008 Michael Shigorin <mike@altlinux.org> 0.9.3-alt1
- NMU: beta3
  + builds with scons
- buildreq
- spec cleanup

* Mon Aug 07 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.21-alt1
- new version

* Mon May 22 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.19-alt3
- removed included SDL_ttf

* Tue May 16 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.19-alt2
- gcc4.1 patch added

* Tue Mar 14 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.19-alt1
- New version build for sisyphus

* Wed Feb 15 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.18-alt2
- buildreq boost-devel dependency added

* Fri Feb 10 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.18-alt1
- New version build for sisyphus

* Wed Jan 11 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.17-alt2
- Menu bugfix

* Mon Dec 12 2005 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.17-alt1
- New version build for sisyphus

* Tue Oct 25 2005 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.15-alt1
- Inital build for sisyphus

